cURL
curl --request POST \
--url https://app.hypersender.com/api/whatsapp/v1/{instance}/send-text \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chatId": "[email protected]",
"text": "Hi there!",
"reply_to": "string",
"link_preview": false,
"link_preview_high_quality": false
}
'import requests
url = "https://app.hypersender.com/api/whatsapp/v1/{instance}/send-text"
payload = {
"chatId": "[email protected]",
"text": "Hi there!",
"reply_to": "string",
"link_preview": False,
"link_preview_high_quality": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chatId: '[email protected]',
text: 'Hi there!',
reply_to: 'string',
link_preview: false,
link_preview_high_quality: false
})
};
fetch('https://app.hypersender.com/api/whatsapp/v1/{instance}/send-text', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": {
"remoteJid": "[email protected]",
"fromMe": true,
"id": "3EB0CD3810439716606547"
},
"message": {
"extendedTextMessage": {
"text": "Hi there!"
}
},
"messageTimestamp": 1741359489,
"status": "PENDING"
}Send Text
Send plain text messages with link preview (optional) to WhatsApp users for basic communication, notifications, and automated messaging.
POST
/
{instance}
/
send-text
cURL
links and simple texts to a WhatsApp

- Chat
- Group
- Recipient
We highly recommend using the
send-text-safe endpoint for regular messaging operations to maintain a more natural communication pattern, and keep your whatsapp number safe from being blocked.Sending link preview
If the text has a link - it generates a preview for that link. You can adjust the behaviour by settinglink_preview: true- to enable link previewlink_preview_high_quality: true- to enable high-quality link preview

Quick Demo
Learn how to use Hypersender whatsapp API to send a message using Postman: Demo Link
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
application/json
Example:
"application/json"
application/json
Example:
"application/json"
Path Parameters
Instance UUID copied from hypersender dashboard
Example:
"{{ instance_id }}"
Body
application/json
⌘I